Unit tde23e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE23E_p, DE23E_p;

function tde23e: String;

implementation

function tde23e: String;
var
IORDER,JSTART,IU,ISTIFJ,M,IERR :Integer;
XN,XK,HMIN,HMAX,EPS,H :Extended;
RAB :Array [0..67] of Extended;
Y :Array [0..3] of Extended;
YN :Array [0..3] of Extended;
DELTY :Array [0..3] of Extended;
YPM :Array [0..3] of Extended;
YP :Array [0..31] of Extended;
begin
Result := '';  {   }
HMIN := 1.e-18;
IORDER := 7;
JSTART := 0;
IU := 3;
EPS := 1.e-9;
YN[0] := 0.09411764706e0;
YN[1] := 0.e0;
YN[2] := 0.e0;
YN[3] := 4.5e0;
HMAX := 0.1e0;
ISTIFJ := 0;
M := 4;
XN := 0.e0;
XK := 6.0*3.14159265359e0;
H := 0.01e0;
DE23E(FDE23E,M,XN,YN,XK,HMIN,HMAX,EPS,ISTIFJ,IORDER,
     IU,H,Y,YPM,DELTY,RAB,YP,IERR);
Result := Result + Format('%s',['       XK']);
Result := Result + Format('%s',['                 Y(1)']);
Result := Result + Format('%s',['                 Y(2)']);
Result := Result + Format('%20.16f %20.16f %20.16f ',[XK,Y[0],Y[1]]);
Result := Result + Format('%s',['                 Y(3)']);
Result := Result + Format('%s',['                 Y(4)']);
Result := Result + Format('%20.16f %20.16f ',[Y[2],Y[3]]) + #$0D#$0A;
UtRes('tde23e',Result);  {     tde23e.res }
exit;
end;

end.
